Loading...
Searching...
No Matches
TrcAddrReturnStack Class Reference

`#include <trc_ret_stack.h>`

## Public Member Functions

| TrcAddrReturnStack ()
| ~TrcAddrReturnStack ()
void | set_active (bool active)
bool | is_active () const
void | push (const ocsd_vaddr_t addr, const ocsd_isa isa)
ocsd_vaddr_t | pop (ocsd_isa &isa)
void | flush ()
bool | overflow () const
void | set_pop_pending ()
void | clear_pop_pending ()
bool | pop_pending () const

## Detailed Description

Definition at line 53 of file trc_ret_stack.h.

## Constructor & Destructor Documentation

## TrcAddrReturnStack()

TrcAddrReturnStack::TrcAddrReturnStack | ( |  | ) |

## ~TrcAddrReturnStack()

TrcAddrReturnStack::~TrcAddrReturnStack | ( |  | ) |

inline

Definition at line 57 of file trc_ret_stack.h.

## Member Function Documentation

## clear_pop_pending()

void TrcAddrReturnStack::clear_pop_pending | ( |  | ) |

inline

Definition at line 84 of file trc_ret_stack.h.

## flush()

void TrcAddrReturnStack::flush | ( |  | ) |

## is_active()

bool TrcAddrReturnStack::is_active | ( |  | ) | const

inline

Definition at line 64 of file trc_ret_stack.h.

## overflow()

bool TrcAddrReturnStack::overflow | ( |  | ) | const

inline

Definition at line 73 of file trc_ret_stack.h.

## pop()

ocsd_vaddr_t TrcAddrReturnStack::pop | ( | ocsd_isa & | isa | ) |

## pop_pending()

bool TrcAddrReturnStack::pop_pending | ( |  | ) | const

inline

Definition at line 89 of file trc_ret_stack.h.

## push()

void TrcAddrReturnStack::push | ( | const ocsd_vaddr_t | addr,
|  | const ocsd_isa | isa
| ) |  |

## set_active()

void TrcAddrReturnStack::set_active | ( | bool | active | ) |

inline

Definition at line 59 of file trc_ret_stack.h.

## set_pop_pending()

void TrcAddrReturnStack::set_pop_pending | ( |  | ) |

inline

Definition at line 78 of file trc_ret_stack.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/common/trc_ret_stack.h